Package org.apache.solr.client.solrj.request

# Class ApiMapping

java.lang.Object
org.apache.solr.client.solrj.request.ApiMapping

public class ApiMapping extends Object
Types and utilities used by many ApiMapping classes.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`ApiMapping.CommandMeta`
`static interface`
`ApiMapping.V2EndPoint`

## Constructor Summary

Constructors
Constructor
Description
`ApiMapping()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`collectKeyNames(Map<String,Object> map, List<String> result, String prefix)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ApiMapping

public ApiMapping()

## Method Details

### collectKeyNames

public static void collectKeyNames(Map<String,Object> map, List<String> result, String prefix)